import * as plugins from '../plugins.js';
import * as authInterfaces from '../data/auth.js';

// Get Configuration
export interface IReq_GetConfiguration extends plugins.typedrequestInterfaces.implementsTR<
  plugins.typedrequestInterfaces.ITypedRequest,
  IReq_GetConfiguration
> {
  method: 'getConfiguration';
  request: {
    identity?: authInterfaces.IIdentity;
    section?: string;
  };
  response: {
    config: any;
    section?: string;
  };
}

// Update Configuration
export interface IReq_UpdateConfiguration extends plugins.typedrequestInterfaces.implementsTR<
  plugins.typedrequestInterfaces.ITypedRequest,
  IReq_UpdateConfiguration
> {
  method: 'updateConfiguration';
  request: {
    identity?: authInterfaces.IIdentity;
    section: string;
    config: any;
  };
  response: {
    updated: boolean;
    config: any;
  };
}